import type { Metadata } from "next";
import localFont from "next/font/local";
import "@/styles/style.css";
import { Sounds } from "@/components/Sounds";

const lexendDeca = localFont({ src: "../../public/fonts/Lexend Deca/Variable.ttf"});
const materialSymbols = localFont({ src: "../../public/fonts/Material Symbols/Variable.ttf"});
const renogare = localFont({ src: "../../public/fonts/Renogare/Regular.otf"});

export const metadata: Metadata = {
  title: "abtmtr.link",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en" style={{
      "--font-LexendDeca": lexendDeca.style.fontFamily, 
      "--font-MaterialSymbols": materialSymbols.style.fontFamily, 
      "--font-Renogare": renogare.style.fontFamily
    } as {[key: string]: string}}>
      <head>
        <link rel='redirect_uri' href='/jams/oauth/code'></link>
      </head>
      <body>{children}</body>
    </html>
  );
}
